Package org.zkoss.bind

## Class GlobalCommandEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.bind.GlobalCommandEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class GlobalCommandEvent
      extends Event

  The global-command event
  Since:
    6.0.1
  Author:
    dennis
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalCommandEvent​(Component comp, java.lang.String command, java.util.Map<java.lang.String,​java.lang.Object> args)` |
    `GlobalCommandEvent​(Component comp, java.lang.String command, java.util.Map<java.lang.String,​java.lang.Object> args, Event evt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getArgs()` | Gets the global-command args.
    `java.lang.String` | `getCommand()` | Gets the global command name
    `Event` | `getTriggerEvent()` | Gets the trigger event.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalCommandEvent

          public GlobalCommandEvent​(Component comp,
                                    java.lang.String command,
                                    java.util.Map<java.lang.String,​java.lang.Object> args)

    - #### GlobalCommandEvent

          public GlobalCommandEvent​(Component comp,
                                    java.lang.String command,
                                    java.util.Map<java.lang.String,​java.lang.Object> args,
                                    Event evt)

  - ### Method Detail

    - #### getCommand

          public java.lang.String getCommand()

      Gets the global command name

    - #### getArgs

          public java.util.Map<java.lang.String,​java.lang.Object> getArgs()

      Gets the global-command args.

    - #### getTriggerEvent

          public Event getTriggerEvent()

      Gets the trigger event.
      Since:
        9.6.4